PersistentMemberDetails (Apache Geode 1.15.4)

org.apache.geode.management

## Class PersistentMemberDetails

- java.lang.Object
- - org.apache.geode.management.PersistentMemberDetails

-     public class PersistentMemberDetails
      extends Object

  Composite data type used to distribute attributes for the missing disk store of a persistent member.
  Since:
    GemFire 7.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentMemberDetails(String host, String directory, String diskStoreId)` This constructor is to be used by internal JMX framework only.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDirectory()` Returns the directory in which the `DiskStore` is saved.
    `String` | `getDiskStoreId()` Returns the ID of the `DiskStore`.
    `String` | `getHost()` Returns the name or IP address of the host on which the member is running.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentMemberDetails

          @ConstructorProperties(value={"host","directory","diskStoreId"})
          public PersistentMemberDetails(String host,
                                                                                                          String directory,
                                                                                                          String diskStoreId)

      This constructor is to be used by internal JMX framework only. User should not try to create an instance of this class.
      Parameters:
        `host` - the name or IP address of the host on which the member is running
        `directory` - the directory in which the `DiskStore` is saved
        `diskStoreId` - the ID of the `DiskStore`

  - ### Method Detail

    - #### getHost

          public String getHost()

      Returns the name or IP address of the host on which the member is running.
      Returns:
        the name or IP address of the host on which the member is running

    - #### getDirectory

          public String getDirectory()

      Returns the directory in which the `DiskStore` is saved.
      Returns:
        the directory in which the `DiskStore` is saved

    - #### getDiskStoreId

          public String getDiskStoreId()

      Returns the ID of the `DiskStore`.
      Returns:
        the ID of the `DiskStore`